%include	/usr/lib/rpm/macros.java
Summary:	Selection of Java libraries by Matthew Johnson
Summary(pl.UTF-8):	Wybrane biblioteki Javy autorstwa Matthew Johnsona
Name:		java-libmatthew
Version:	0.8
Release:	2
License:	LGPL v2.1
Group:		Libraries/Java
Source0:	http://www.matthew.ath.cx/projects/java/libmatthew-java-%{version}.tar.gz
# Source0-md5:	8455b8751083ce25c99c2840609271f5
URL:		http://www.matthew.ath.cx/projects/java/
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Selection of Java libraries by Matthew Johnson, including:
- Unix Sockets Library,
- Debug Library,
- CGI Library,
- I/O Library.

%description -l pl.UTF-8
Wybrane biblioteki Javy autorstwa Matthew Johnsona, w tym:
- Unix Sockets Library - biblioteka gniazd uniksowych,
- Debug Library - biblioteka diagnostyczna,
- CGI Library - biblioteka CGI,
- I/O Library - biblioteka wejścia/wyjścia.

%prep
%setup -q -n libmatthew-java-%{version}

%build
%{__make} \
	JAVA_HOME="%{java_home}" \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC -std=c99 -Wall" \
	LD="%{__cc}" \
	LDFLAGS="%{rpmldflags} -shared" \
	JCFLAGS="-source 1.5"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	LIBDIR=%{_jnidir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README changelog
%attr(755,root,root) %{_jnidir}/libcgi-java.so
%attr(755,root,root) %{_jnidir}/libunix-java.so
%{_javadir}/cgi*.jar
%{_javadir}/debug-disable*.jar
%{_javadir}/debug-enable*.jar
%{_javadir}/hexdump*.jar
%{_javadir}/io*.jar
%{_javadir}/unix*.jar
%changelog
* Sat May 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-libmatthew.git;a=log;h=master

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 346c488
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jul 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 7406866
- updated to 0.8

* Wed Apr 28 2010 pawelz <pawelz@pld-linux.org> 5d65322
- dropped EA, now we have java on all archs

* Sat Jan 16 2010 Jakub Bogusz <qboosh@pld-linux.org> bcd2ed5
- updated to 0.7.2

* Mon Feb 02 2009 Elan Ruusamäe <glen@pld-linux.org> 2e91d26
- Libraries/Java group

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 3a1581e
- updated to 0.7.1

* Sat Mar 01 2008 Jakub Bogusz <qboosh@pld-linux.org> 7bc3c3f
- updated to 0.6
- pass "-source 1.5" in JCFLAGS to override wrong "-source 5.0"

* Sun Aug 12 2007 Jakub Bogusz <qboosh@pld-linux.org> 7c3af36
- new

